Bug 177398 - [maintainer update] security/scamp
Summary: [maintainer update] security/scamp
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-26 16:40 UTC by Gerard Seibert
Modified: 2013-04-27 21:10 UTC (History)
0 users

See Also:


Attachments
file.diff (5.61 KB, patch)
2013-03-26 16:40 UTC, Gerard Seibert
no flags Details | Diff
scamp.diff (11.63 KB, patch)
2013-04-27 12:30 UTC, Gerard Seibert
no flags Details | Diff
scamp_diff.diff (11.06 KB, patch)
2013-04-27 18:58 UTC, Gerard Seibert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gerard Seibert 2013-03-26 16:40:01 UTC
Update the security/scamp port to version 5.4.

The following file has been removed from the distro: Release.html

It is replaced by: Release.pdf

The files are usually stored in the "/usr/local/share/doc/scamp/" directory.

Fix: Patch attached with submission follows:
Comment 1 Carlo Strub freebsd_committer 2013-03-26 20:50:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cs

I'll take it
Comment 2 Gerard Seibert 2013-04-17 12:18:09 UTC
Hi, I don't want to rush you; however, I was wondering if there is
anyway that this port can be committed. It is a very small port and I
would like to get it committed if possible.

Thanks!
Comment 3 Carlo Strub freebsd_committer 2013-04-26 21:57:55 UTC
Responsible Changed
From-To: cs->freebsd-ports-bugs

back to pool. I can't test it on redports because of a clang error.
Comment 4 Stefan Walter freebsd_committer 2013-04-27 09:56:54 UTC
Hi Gerard,

the changes for pkg-plist in the patch do not apply to the latest version
in the SVN repository. Can you send a followup with a new patch?

Best regards,
Stefan
Comment 5 Stefan Walter freebsd_committer 2013-04-27 09:57:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

I'll take it.
Comment 6 Gerard Seibert 2013-04-27 12:30:43 UTC
I am not sure if the attached patch is what you are looking for. If not, you are going to have to be more specific.
Comment 7 Gerard Seibert 2013-04-27 18:58:50 UTC
I re-installed the scamp port via "portsnap" and then created this diff. I think it should now work.
Comment 8 dfilter service freebsd_committer 2013-04-27 21:00:50 UTC
Author: stefan
Date: Sat Apr 27 20:00:41 2013
New Revision: 316687
URL: http://svnweb.freebsd.org/changeset/ports/316687

Log:
  Update to 5.4.
  
  PR:		177398
  Submitted by:	Gerard Seibert <gerard@seibercom.net> (maintainer)

Modified:
  head/security/scamp/Makefile
  head/security/scamp/distinfo
  head/security/scamp/files/default.sample
  head/security/scamp/pkg-descr
  head/security/scamp/pkg-plist

Modified: head/security/scamp/Makefile
==============================================================================
--- head/security/scamp/Makefile	Sat Apr 27 19:18:49 2013	(r316686)
+++ head/security/scamp/Makefile	Sat Apr 27 20:00:41 2013	(r316687)
@@ -1,11 +1,8 @@
-# New ports collection makefile for:	scamp
-# Date created:	31 March 2009
-# Whom:	Gerard Seibert <gerard@seibercom.net>
-#
+# Created by: Gerard Seibert <gerard@seibercom.net>
 # $FreeBSD$
 
 PORTNAME=	scamp
-PORTVERSION=	5.3b
+PORTVERSION=	5.4
 CATEGORIES=	security
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 
@@ -14,15 +11,15 @@ COMMENT=	Download & Install additional d
 
 LICENSE=	BSD
 
-RUN_DEPENDS=	bash>=4.2.20:${PORTSDIR}/shells/bash \
-		clamav>=0.97.3_1:${PORTSDIR}/security/clamav \
-		gnupg>=2.0.18_1:${PORTSDIR}/security/gnupg \
+RUN_DEPENDS=	bash>=4.2.42:${PORTSDIR}/shells/bash \
+		clamav>=0.97.7:${PORTSDIR}/security/clamav \
+		gnupg>=2.0.19:${PORTSDIR}/security/gnupg \
 		rsync>=3.0.9:${PORTSDIR}/net/rsync
 
 .if exists (${LOCALBASE}/bin/wget) && ! exists (${LOCALBASE}/bin/curl)
-RUN_DEPENDS+=	wget>=1.13.4_1:${PORTSDIR}/ftp/wget
+RUN_DEPENDS+=	wget>=1.14:${PORTSDIR}/ftp/wget
 .else
-RUN_DEPENDS+=	curl>=7.21.3_2:${PORTSDIR}/ftp/curl
+RUN_DEPENDS+=	curl>=7.24.0_2:${PORTSDIR}/ftp/curl
 .endif
 
 NO_BUILD=	yes
@@ -30,6 +27,8 @@ SUB_FILES=	pkg-message
 
 MAN1=		scamp.1
 
+.include <bsd.port.options.mk>
+
 post-patch:
 	@${REINPLACE_CMD} -e 's|CLAMAV_DB=$${CLAMAV_DB:-""}|CLAMAV_DB=$${CLAMAV_DB:-\"/var/db/clamav\"}|g' ${WRKSRC}/${PORTNAME}.sh
 	@${REINPLACE_CMD} -e 's|CONFIG_DIR=$${CONFIG_DIR:-"/etc/scamp"}|CONFIG_DIR=$${CONFIG_DIR:-"${ETCDIR}"}|g' ${WRKSRC}/${PORTNAME}.sh
@@ -40,19 +39,21 @@ post-install:
 	fi
 
 	@${INSTALL_DATA} ${FILESDIR}/default.sample ${ETCDIR}
-		@if [ ! -f ${ETCDIR}/default ]; then \
-			${CP} -p ${ETCDIR}/default.sample \
-			${ETCDIR}/default ; \
-		fi
+
+	@if [ ! -f ${PREFIX}/etc/scamp/default ]; then \
+		${CP} -p ${PREFIX}/etc/scamp/default.sample ${PREFIX}/etc/scamp/default ; \
+	fi
 
 do-install:
 	cd ${WRKSRC} && ${INSTALL_SCRIPT} ${PORTNAME}.sh ${PREFIX}/bin
 	cd ${WRKSRC} && ${INSTALL_MAN} scamp.1 ${MANPREFIX}/man/man1
 
-.ifndef(NOPORTDOCS)
+# Documentation
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
-	cd ${WRKSRC} && ${INSTALL_DATA} README CHANGE.LOG INSTALL Release.html ${DOCSDIR}
+	cd ${WRKSRC} && ${INSTALL_DATA} README CHANGE.LOG INSTALL Release.pdf ${DOCSDIR}
 .endif
+
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>

Modified: head/security/scamp/distinfo
==============================================================================
--- head/security/scamp/distinfo	Sat Apr 27 19:18:49 2013	(r316686)
+++ head/security/scamp/distinfo	Sat Apr 27 20:00:41 2013	(r316687)
@@ -1,2 +1,2 @@
-SHA256 (scamp-5.3b.tar.gz) = ad557fbad486d8baba6d1f55e6492af555adb00830cca4ff904c0fb34659d5c5
-SIZE (scamp-5.3b.tar.gz) = 40988
+SHA256 (scamp-5.4.tar.gz) = 8e0273e6f0e6f3c8d05f5fe194459e3dc606ec7daca4094527b9f71892e9e3c6
+SIZE (scamp-5.4.tar.gz) = 134541

Modified: head/security/scamp/files/default.sample
==============================================================================
--- head/security/scamp/files/default.sample	Sat Apr 27 19:18:49 2013	(r316686)
+++ head/security/scamp/files/default.sample	Sat Apr 27 20:00:41 2013	(r316687)
@@ -1,34 +1,28 @@
 # This is the /usr/local/etc/scamp/default file.
-# Created February 21, 2012
+# Created March 25, 2013
 
-SCAMP_VERSION=5.3b
-CLAMAV_DB=/var/db/clamav
-T_DIR=/var/db/clamav/tmp
 C_GROUP=clamav
 C_PID=/var/run/clamav/clamd.pid
 C_USER=clamav
+CLAMAV_DB=/var/db/clamav
 GET_LDB=1
 GET_MALWARE=1
-GET_MSRBL=0
 GET_SANE=1
 GET_SECURITE=4
 GET_WINNOW=1
 gpg_key_url=http://www.sanesecurity.net/publickey.gpg
 L_TYPE=1
 MK_LOG=0
-MSRBL=rsync://rsync.mirror.msrbl.com/msrbl/
-msrbl_Images=MSRBL-Images.hdb
-msrbl_SPAM=MSRBL-SPAM.ndb
-msrbl_SPAM_CR=MSRBL-SPAM-CR.ndb
-MSR_DIR=/var/db/clamav/tmp/msr
 MW_DIR=/var/db/clamav/tmp/malware
 MW_FILE=mbl.ndb
 MW_URL=http://www.malwarepatrol.com.br/cgi/submit?action=list_clamav_ext
 RELOAD=1
-REST=1
-SANE=rsync://rsync.sanesecurity.net/sanesecurity
+REST=0
 SANE_DB=/var/db/clamav/tmp/sane
+SANE=rsync://rsync.sanesecurity.net/sanesecurity
+SCAMP_VERSION=5.4
 SI_DIR=/var/db/clamav/tmp/securite
 SYS_LOG=1
-WPC=1
+T_DIR=/var/db/clamav/tmp
 W_SUM=1
+WPC=1

Modified: head/security/scamp/pkg-descr
==============================================================================
--- head/security/scamp/pkg-descr	Sat Apr 27 19:18:49 2013	(r316686)
+++ head/security/scamp/pkg-descr	Sat Apr 27 20:00:41 2013	(r316687)
@@ -3,7 +3,6 @@ following sites:
 
 sanesecurity.com
 malware.com.br
-msrbl.com
 clamav.securiteinfo.com
 
 Site Address:

Modified: head/security/scamp/pkg-plist
==============================================================================
--- head/security/scamp/pkg-plist	Sat Apr 27 19:18:49 2013	(r316686)
+++ head/security/scamp/pkg-plist	Sat Apr 27 20:00:41 2013	(r316687)
@@ -2,10 +2,9 @@ bin/scamp.sh
 %%PORTDOCS%%%%DOCSDIR%%/CHANGE.LOG
 %%PORTDOCS%%%%DOCSDIR%%/INSTALL
 %%PORTDOCS%%%%DOCSDIR%%/README
-%%PORTDOCS%%%%DOCSDIR%%/Release.html
+%%PORTDOCS%%%%DOCSDIR%%/Release.pdf
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
-@unexec if cmp -s %D/%%ETCDIR%%/default.sample %D/%%ETCDIR%%/default; then rm -f %D/%%ETCDIR%%/default; fi
-%%ETCDIR%%/default.sample
-@exec if [ ! -f %D/%%ETCDIR%%/default ] ; then cp -p %D/%F %B/default; fi
-@exec mkdir -p %D/%%ETCDIR%%
-@dirrmtry %%ETCDIR%%
+@exec mkdir -p %D/etc/scamp
+etc/scamp/default.sample
+@exec if [ ! -f %D/etc/scamp/default ] ; then cp -p %D/%F %B/default; fi
+@dirrmtry etc/scamp
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Stefan Walter freebsd_committer 2013-04-27 21:04:22 UTC
State Changed
From-To: open->closed

Committed, thanks!